import { Signer, BigNumberish } from "ethers";
import { Provider, TransactionRequest } from "@ethersproject/providers";
import { ContractFactory, Overrides } from "@ethersproject/contracts";
import type { Item } from "./Item";
export declare class ItemFactory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(itemExchangeContractAddr: string, name_: string, symbol_: string, maxSupplyAmount: BigNumberish, itemIdentifierString: string, overrides?: Overrides): Promise<Item>;
    getDeployTransaction(itemExchangeContractAddr: string, name_: string, symbol_: string, maxSupplyAmount: BigNumberish, itemIdentifierString: string, overrides?: Overrides): TransactionRequest;
    attach(address: string): Item;
    connect(signer: Signer): ItemFactory;
    static connect(address: string, signerOrProvider: Signer | Provider): Item;
}
