import { Signer } from "ethers";
import { Provider, TransactionRequest } from "@ethersproject/providers";
import { ContractFactory, Overrides } from "@ethersproject/contracts";
import type { Land } from "./Land";
export declare class LandFactory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(landExchangeContractAddr: string, spaceContractAddr: string, landOperatorAddr: string, overrides?: Overrides): Promise<Land>;
    getDeployTransaction(landExchangeContractAddr: string, spaceContractAddr: string, landOperatorAddr: string, overrides?: Overrides): TransactionRequest;
    attach(address: string): Land;
    connect(signer: Signer): LandFactory;
    static connect(address: string, signerOrProvider: Signer | Provider): Land;
}
